PatternSet.NameEntry (Apache Ant API)
Date: 2021-07-10

org.apache.tools.ant.types

## Class PatternSet.NameEntry

- java.lang.Object
- - org.apache.tools.ant.types.PatternSet.NameEntry

- Direct Known Subclasses:
    PatternSet.PatternFileNameEntry
  Enclosing class:
    PatternSet

      public class PatternSet.NameEntry
      extends java.lang.Object

  inner class to hold a name on list. "If" and "Unless" attributes may be used to invalidate the entry based on the existence of a property (typically set thru the use of the Available task) or value of an expression.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `evalName(Project p)` This validates the name - checks the if and unless properties.
    `java.lang.String` | `getName()`
    `void` | `setIf(java.lang.Object cond)` Sets the if attribute.
    `void` | `setIf(java.lang.String cond)` Sets the if attribute.
    `void` | `setName(java.lang.String name)` Sets the name pattern.
    `void` | `setUnless(java.lang.Object cond)` Sets the unless attribute.
    `void` | `setUnless(java.lang.String cond)` Sets the unless attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NameEntry

          public NameEntry()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

      Sets the name pattern.
      Parameters:
        `name` - The pattern string.

    - #### setIf

          public void setIf(java.lang.Object cond)

      Sets the if attribute. This attribute and the "unless" attribute are used to validate the name, based on the existence of the property or the value of the evaluated property expression.
      Parameters:
        `cond` - A property name or expression. If the expression evaluates to false or no property of its value is present, the name is invalid.
      Since:
        Ant 1.8.0

    - #### setIf

          public void setIf(java.lang.String cond)

      Sets the if attribute. This attribute and the "unless" attribute are used to validate the name, based on the existence of the property or the value of the evaluated property expression.
      Parameters:
        `cond` - A property name or expression. If the expression evaluates to false or no property of its value is present, the name is invalid.

    - #### setUnless

          public void setUnless(java.lang.Object cond)

      Sets the unless attribute. This attribute and the "if" attribute are used to validate the name, based on the existence of the property or the value of the evaluated property expression.
      Parameters:
        `cond` - A property name or expression. If the expression evaluates to true or a property of its value is present, the name is invalid.
      Since:
        Ant 1.8.0

    - #### setUnless

          public void setUnless(java.lang.String cond)

      Sets the unless attribute. This attribute and the "if" attribute are used to validate the name, based on the existence of the property or the value of the evaluated property expression.
      Parameters:
        `cond` - A property name or expression. If the expression evaluates to true or a property of its value is present, the name is invalid.

    - #### getName

          public java.lang.String getName()

      Returns:
        the name attribute.

    - #### evalName

          public java.lang.String evalName(Project p)

      This validates the name - checks the if and unless properties.
      Parameters:
        `p` - the current project, used to check the presence or absence of a property.
      Returns:
        the name attribute or null if the "if" or "unless" properties are not/are set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a printable form of this object.